<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Unidad 4</title>
    <!-- Leaflet -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.1/dist/leaflet.css" />

    <!-- Leaflet -->
    <script src="https://unpkg.com/leaflet@1.0.1/dist/leaflet.js"></script>
</head>

<body>
    <div id="map" style="width: 700px; height: 600px"></div>
    <script>
        var map = L.map('map', {
            center: [40.965, -5.664],
            zoom: 16
        });
        L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png').addTo(map);
        var geojson = [{
                "type": "Feature",
                "geometry": {
                    "type": "Point",
                    "coordinates": [-5.66237, 40.96618, ]
                },
                "properties": {
                    "name": "Teatro",
                    "title": "Teatro Liceo",
                    "Arquitectura": "Palacio de los Abarca Maldonado. Siglo XV",
                    "Direccion": "Plaza Fray Luis De León",
                }
            },
            {
                "type": "Feature",
                "geometry": {
                    "type": "Point",
                    "coordinates": [-5.66814, 40.96187]
                },
                "properties": {
                    "name": "Museo",
                    "title": "Museo de Salamanca",
                    "Arquitectura": "Siglo XIX. Restaurado en 2002",
                    "Direccion": "Plaza del Liceo s/n",
                }
            }
        ];
        var geoJsonLayer = L.geoJson(geojson).addTo(map);


        // var geojson = [{
        //     "type": "Feature",
        //     "geometry": {
        //         "type": "Polygon",
        //         "coordinates": [
        //             [
        //                 [-5.6659, 40.9641],
        //                 [-5.6664, 40.9669],
        //                 [-5.6616, 40.9660],
        //                 [-5.6611, 40.9637],
        //                 [-5.6659, 40.9641]
        //             ],
        //             [
        //                 [-5.66443, 40.9655],
        //                 [-5.66338, 40.9653],
        //                 [-5.66373, 40.9645],
        //                 [-5.66468, 40.9647],
        //                 [-5.66443, 40.9655]
        //             ]
        //
        //         ]
        //     },
        //     "properties": {
        //         "name": "Donout",
        //         "tittle": "Plaza mayor"
        //     }
        // }];

        // var geoJsonLayer = L.geoJson(geojson).addTo(map).bindPopup("Poligono con un hueco ");
        //
        // var myMarker = L.marker([40.965, -5.6643],{
        //   draggable: true
        // });
        // var markerComoGeoJSON = myMarker.toGeoJSON();
        // var geoJsonLayer = L.geoJson(markerComoGeoJSON).addTo(map);

        // var myMarker = L.marker([40.965, -5.6643]);
        // var markerComoGeoJSON = myMarker.toGeoJSON();
        // console.log(myMarker);
        // var geoJsonLayer = L.geoJson().addTo(map);
        // geoJsonLayer.addData(markerComoGeoJSON);
        // geoJsonLayer.bindPopup("Me han incorporado a GeoJSON con .addData()");
        //
        var geoJsonLayer = L.geoJson(geojson,{
                         onEachFeature: function(feature, layer) {
                         layer.bindPopup (
                           "<ul> <h3>" + feature.properties.title + "</h3> " +
                           "<li>" + feature.properties.Arquitectura + "</li>" +
                           "<li>" + feature.properties.Direccion + "</li> </ul>"
                         );
                                  }
                 }).addTo(map);

    </script>
</body>

</html>
